#include "widget.h"

#include <QComboBox>
#include <QGridLayout>
#include <QLabel>
#include <QLineEdit>

Widget::Widget(QWidget *parent)
  : QWidget(parent)
{
  // Widgets
  vLabel = new QLabel( this );
  vLabel->setText( tr( "Label" ) );

  vLineEdit1 = new QLineEdit( this );

  vComboBoxLowerLeft = new QComboBox( this );
  vComboBoxLowerLeft->setVisible(false);

  vComboBoxUpperRight = new QComboBox( this );
  vComboBoxUpperRight->addItem( "line edit 2" );
  vComboBoxUpperRight->addItem( "line edit 3" );
  connect( vComboBoxUpperRight, QOverload<int>::of(&QComboBox::currentIndexChanged),
           this, &Widget::comboCurrentIndexChanged );

  vLineEdit2 = new QLineEdit( this );

  vLineEdit3 = new QLineEdit( this );

  // Layout
  QBoxLayout *verticalLayout = new QVBoxLayout( this );

  QGridLayout *gridLayout = new QGridLayout();
  verticalLayout->addLayout( gridLayout );

  gridLayout->addWidget( vLabel, 0, 0 );
  gridLayout->addWidget( vLineEdit1, 1, 0 );
  gridLayout->addWidget( vComboBoxLowerLeft, 1, 0 );

  gridLayout->addWidget( vComboBoxUpperRight, 0, 1 );
  gridLayout->addWidget( vLineEdit2, 1, 1 );
  gridLayout->addWidget( vLineEdit3, 1, 1 );
}

Widget::~Widget() { }

void Widget::comboCurrentIndexChanged(int index)
{
  if ( index == 0 ) {
    vLineEdit3->hide();
    vLineEdit2->show();
  }
  else {
    vLineEdit2->hide();
    vLineEdit3->show();
  }
}
